Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.controls.generic
Interface CM_Control<T extends com.bea.apps.groupspace.content.CommunityContent>

All Superinterfaces
  ContentControlBase<T,com.bea.apps.groupspace.folders.Folder>, GroupSpaceContentControl<T>, Serializable

All Known Subinterfaces:
  AnnouncementsControl, FeedEntriesControl, FeedFoldersControl, GsDocControl, IssuesControl, LinksControl, RichTextControl, SavedSearchControl

    public interface CM_Control<T extends com.bea.apps.groupspace.content.CommunityContent>

extends GroupSpaceContentControl<T>

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

This control layer is here to allow non-Folder controls to access the FoldersControl

Both FoldersControl and this CM_Control extend GroupSpaceContentControl; CM_Control uses FoldersControl

Only calls to FoldersControl folderControl should reside at this level

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`com.bea.apps.groupspace.folders.Folder` | `getPersonalContentFolder()` Get the user folder associated with type of content.

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### getPersonalContentFolder

    com.bea.apps.groupspace.folders.Folder getPersonalContentFolder()
                                                                    throws InstantiationException,
                                                                           IllegalAccessException,
                                                                           InvocationTargetException,
                                                                           com.bea.content.nodemappers.NodeMapper.NodeMapperException,
                                                                           com.bea.content.AuthenticationException,
                                                                           com.bea.content.AuthorizationException,
                                                                           com.bea.content.NoSuchNodeException,
                                                                           com.bea.content.RepositoryException

  Get the user folder associated with type of content. For example, personal links for user 'jdoe' will be stored under .../jdoe/Links/* The username is taken from the Request, so this method must be called from the web tier. OWNER=username, VISIBILITY="PERSONAL"

  Throws
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `com.bea.content.nodemappers.NodeMapper.NodeMapperException`
    `com.bea.content.AuthenticationException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved